# $Revision: 1.5 $, $Date: 2006/10/02 12:58:10 $
#
# Conditional build:
%bcond_with	admin_only	# disallow users changing plugin options
#
%define		_plugin	username
%define		mversion	1.0.0
Summary:	Plugin to show current username
Summary(pl):	Wtyczka wywietlajca nazw uytkownika
Name:		squirrelmail-plugin-%{_plugin}
Version:	2.3
Release:	2
License:	GPL
Group:		Applications/Mail
Source0:	http://www.squirrelmail.org/plugins/%{_plugin}-%{version}-%{mversion}.tar.gz
# Source0-md5:	c81670f5607835dc1e226653cf5c53b1
Patch0:		%{name}-admin_only.patch
Patch1:		%{name}-locale_support.patch
URL:		http://www.squirrelmail.org/plugin_view.php?id=35
Requires:	squirrelmail >= 1.4.6-2
Requires:	squirrelmail-compatibility-2.0.4
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_plugindir	%{_datadir}/squirrelmail/plugins/%{_plugin}
%define		_sysconfdir	/etc/webapps/squirrelmail

%description
Plugin that shows current username above or below folder list and/or
as Message of the Day.

%description -l pl
Wtyczka wywietlajca aktualn nazw uytkownika nad lub pod list
folderw i/lub jak Wiadomo Dnia.

%prep
%setup -q -n %{_plugin}
%{?with_admin_only:%patch0 -p1}
%patch1 -p0

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_plugindir} $RPM_BUILD_ROOT%{_sysconfdir}

install *.php $RPM_BUILD_ROOT%{_plugindir}
mv config.php.sample $RPM_BUILD_ROOT%{_sysconfdir}/%{_plugin}_config.php
ln -s %{_sysconfdir}/%{_plugin}_config.php $RPM_BUILD_ROOT%{_plugindir}/config.php

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc INSTALL README
%attr(640,root,http) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{_plugin}_config.php
%dir %{_plugindir}
%{_plugindir}/*.php

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: squirrelmail-plugin-username.spec,v $
Revision 1.5  2006/10/02 12:58:10  hawk
- added support for locales

Revision 1.4  2006/07/19 20:24:58  dzeus
- propper homepage URL

Revision 1.3  2006/05/30 10:13:27  hawk
- added admin_only bcond which applies patch disallowing users to change
  plugin options

Revision 1.2  2006/05/30 08:57:47  hawk
- R: squirrelmail-compatibility

Revision 1.1  2006/05/30 07:56:35  hawk
- separated from squirrelmail.spec

